Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043034
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-28 12:472020-02-07 09:57
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision54a2a3c9a91c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043034: Apply new HQL Style in CostingAlgorithm.java

DescriptionCostingAlgorithm.java has one HQL query with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0117323)
inigo_lerga (developer)
2020-01-29 14:48

Test Plan Mantis HQL queries:
Execute the TestCosting.java JUnit tests.
#In this moment all the modified HQLs are executed#
(0117541)
hgbot (developer)
2020-02-07 09:55

Repository: erp/devel/pi
Changeset: 54a2a3c9a91c055916bb19c5c997a9bfb03890ec
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Jan 29 14:45:42 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/54a2a3c9a91c055916bb19c5c997a9bfb03890ec [^]

fixes BUG-43034:Applied new HQL Style + finals added

---
M src/org/openbravo/costing/CostingAlgorithm.java
---
(0117542)
hgbot (developer)
2020-02-07 09:55

Repository: erp/devel/pi
Changeset: 77248fdacecb2449319fa0248d75bd778a6247a7
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Feb 07 09:55:14 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/77248fdacecb2449319fa0248d75bd778a6247a7 [^]

Related to ISSUE-43034. Code Review changes:
* Renamed variables to make more obvious that they are referring to Id's and
  not to the object itself
* Added final modifier

---
M src/org/openbravo/costing/CostingAlgorithm.java
---
(0117543)
dmiguelez (developer)
2020-02-07 09:57

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-28 12:47 inigo_lerga New Issue
2020-01-28 12:47 inigo_lerga Assigned To => inigo_lerga
2020-01-28 12:47 inigo_lerga Modules => Core
2020-01-28 12:47 inigo_lerga Triggers an Emergency Pack => No
2020-01-28 12:47 inigo_lerga Relationship added related to 0041287
2020-01-29 11:03 inigo_lerga Status new => scheduled
2020-01-29 14:48 inigo_lerga Note Added: 0117323
2020-02-07 09:55 hgbot Checkin
2020-02-07 09:55 hgbot Note Added: 0117541
2020-02-07 09:55 hgbot Status scheduled => resolved
2020-02-07 09:55 hgbot Resolution open => fixed
2020-02-07 09:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/54a2a3c9a91c055916bb19c5c997a9bfb03890ec [^]
2020-02-07 09:55 hgbot Checkin
2020-02-07 09:55 hgbot Note Added: 0117542
2020-02-07 09:57 dmiguelez Review Assigned To => dmiguelez
2020-02-07 09:57 dmiguelez Note Added: 0117543
2020-02-07 09:57 dmiguelez Status resolved => closed
2020-02-07 09:57 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker